package com.tofly.ghrq_route;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * To work on unit tests, switch the Test Artifact in the Build Variants view.
 */
public class ExampleUnitTest {

    private static final double D_LNG_RADIUS_UNIT = Math.cos(Math.toRadians(23.14));

    /*1km->经度*/
    private static final double D_LNG_SCALE = 1 / (6369 * D_LNG_RADIUS_UNIT * 2 * Math.PI / 360);

    @Test
    public void addition_isCorrect() throws Exception {
        assertEquals(4, 2 + 2);
    }
    @Test
    public void addition_cos() throws Exception {
        double result = D_LNG_SCALE;
        double hundredMeters = (double) D_LNG_SCALE / 10;
    }
}